• Jehan's avatar
    m4macros, configure: add and use AM_PYTHON_CHECK_PYGOBJECT() macro. · b1662443
    Jehan authored
    Rather than looking for pygobject-3.0 with pkg-config, run an actual
    test in python, loading the 'gi' module.
    I also added a version parameter making it possible to even check for a
    required version of PyGObject, though it is currently unused (as I have
    no idea if we have a minimum requirement for our plug-ins to work well).
    
    This is an improvement of commit 8e938e09 as I realized that we don't
    need any development files, therefore I don't think that searching with
    pkg-config was the right idea in our case.
    b1662443
Name
Last commit
Last update
..
.gitignore Loading commit data...
Makefile.am Loading commit data...
alsa.m4 Loading commit data...
ax_compare_version.m4 Loading commit data...
ax_cxx_compile_stdcxx.m4 Loading commit data...
ax_gcc_func_attribute.m4 Loading commit data...
ax_prog_cc_for_build.m4 Loading commit data...
ax_prog_perl_version.m4 Loading commit data...
detectcflags.m4 Loading commit data...
gimp-3.0.m4 Loading commit data...
introspection.m4 Loading commit data...
python3dev.m4 Loading commit data...